"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
    table.ts - Test get metric table of dimensions
 */
const init_1 = require("./utils/init");
jest.setTimeout(7200 * 1000);
test('Test get metric table', async () => {
    let metrics = new init_1.CustomMetrics({ client: init_1.client, table: init_1.table, log: true });
    let timestamp = new Date(2000, 0, 1).getTime();
    let metric = await metrics.emit('test/table', 'Temp', 10, [], { timestamp });
    metric = await metrics.emit('test/table', 'Temp', 10, [{}, { Rocket: 'SaturnV' }], { timestamp });
    metric = await metrics.emit('test/table', 'Temp', 10, [{}, { Rocket: 'Falcon9' }], { timestamp });
    let list = await metrics.queryMetrics('test/table', 'Temp', 300, 'sum', { timestamp });
    expect(list).toBeDefined();
    expect(list.length).toBe(3);
    expect(list[0].dimensions).toEqual({});
    expect(list[0].points.length).toBe(1);
    expect(list[0].points[0].value).toBe(30);
    expect(list[1].dimensions).toEqual({ Rocket: 'Falcon9' });
    expect(list[1].points.length).toBe(1);
    expect(list[1].points[0].value).toBe(10);
});
